package com.example.shawarma.models

import java.util.Date


data class OrderModel(
    val id: Int,
    val status: OrderStatus,
    val productsId: HashMap<Int, Int>,
    val userId: Int,
    val date: Date
)

fun getOrdersByUserId() : List<OrderModel> {
    val map1 = HashMap<Int, Int>()
    map1[1] = 2

    val map2 = HashMap<Int, Int>()
    map2[1] = 2
    return listOf(
        OrderModel(1, OrderStatus.Unpaid, map1, 1, Date()),
        OrderModel(2, OrderStatus.Preparing, map2 , 1, Date())
    )
}

fun getAllOrders() : List<OrderModel> {
    val map1 = HashMap<Int, Int>()
    map1[1] = 2
    return listOf(
        OrderModel(1, OrderStatus.Prepared, map1, 1, Date()),
        OrderModel(2, OrderStatus.Preparing, map1 , 1, Date()),
        OrderModel(3, OrderStatus.Processed, map1 , 1, Date())
    )
}
